import { CallSession, Dialog, IDialogResult, IDialogWaterfallStep } from 'botbuilder-calling';
import { Intent } from 'cognitive-luis-client';
export interface DialogActionOptions {
    match: string;
    threshold?: number;
}
export interface TriggerActionOptions extends DialogActionOptions {
    confirmPrompt?: string;
}
export interface CancelActionOptions extends DialogActionOptions {
    confirmPrompt?: string;
}
export declare class LuisDialog extends Dialog {
    private dialog;
    static findTrigger(session: CallSession, intent: Intent): LuisDialog;
    static findCancel(session: CallSession, intent: Intent): LuisDialog;
    private static intents;
    private static registerDialog(session, dialog);
    triggerOptions: TriggerActionOptions;
    cancelOptions: CancelActionOptions;
    id: string;
    constructor(dialog: Dialog | IDialogWaterfallStep[] | IDialogWaterfallStep);
    begin(session: CallSession, args?: any): void;
    replyReceived(session: CallSession): void;
    dialogResumed<T>(session: CallSession, result: IDialogResult<T>): void;
    triggerAction(action: TriggerActionOptions): LuisDialog;
    cancelAction(action: CancelActionOptions): LuisDialog;
}
